/**
 * Theme Name:     Digital HR Eco System
 * Author:         Talha Rafique
 * Template:       astra
 * Text Domain:	   digital-hr-ecosystem
 * Theme URI:      https://digitalhrecosystem.ch/
 * Version:        1.0.36
 * Description:    This theme has styles of digital hr website and some zoho related scripts.
 
 */

:root {
    --primary-clr: #5102D6;
    --secondary-clr: #C10FFF;
    --teritary-clr: #FFC000;
    --white-clr: #ffffff;
    --dark-clr: #000000;
    --brd-clr: #f5f2ff;
}

.entry-content p {
    margin: 0;
}

/* Utilities Start */
.bg-gardient-purple {
    background: linear-gradient(60deg, var(--primary-clr) 0%, var(--secondary-clr) 100%);
}

.text-shadow-nm {
    text-shadow: 0.2px 0.2px 0 rgba(81, 2, 214, 0.3);
}

.text-gradient-purple {
    /* Step 1: Core Gradient Background */
    background: linear-gradient(135deg, var(--primary-clr), var(--secondary-clr));

    /* Step 2: Magic properties to mask the background into the letters */
    background-clip: text;
    -webkit-background-clip: text;
    -webkit-text-fill-color: transparent;
    color: transparent;
    /* Fallback for browsers that don't support text-fill-color */

    /* Step 3: Layout safeguard */
    display: inline-block;
    font-style: normal;
}

.bg-dark-primary-gradient {
    background: linear-gradient(135deg, var(--dark-clr), var(--primary-clr)) !important;
}

.d-none {
    display: none !important;
}

.overflow-wrap {
    overflow-wrap: break-word;
}

.flex-wrap {
    flex-wrap: wrap;
}

.left-purple-border {
    border-left-width: 3px !important;
    border-left-color: var(--primary-clr) !important;
}

.light-purple-container a {
    color: var(--primary-clr) !important;
}

.light-purple-container a:hover {
    color: var(--primary-clr) !important;
    opacity: 0.9 !important;
}

.text-white,
.text-white a {
    color: white !important;
}

.text-black,
.text-black a {
    color: balck !important;
}

.text-primary {
    color: var(--primary-clr) !important;
}


/* Utilities End */


/* Tabs Styling Start */
.tabs-trigger {
    background: transparent !important;
    box-shadow: none !important;
    text-shadow: none !important;
    border-radius: 0 !important;
}


/* Tabs Styling End */

/* Other Styling Start */
.ai-dot {
    width: 5px;
    height: 5px;
    background: linear-gradient(135deg, var(--primary-clr), var(--secondary-clr));
    border-radius: 50%;
}

.ul-margin-0 ul,
.ul-margin-0 ol {
    margin: 0 0 0 16px !important;
}

.feature-list ul li:not(:last-child) {
    border-bottom: 0.5px solid var(--brd-clr) !important;
}

/* Other Styling End */

/* Floating Buttons Styling Start */

/* cta container styling */
.cta-container {
    display: flex !important;
    flex-direction: column !important;
    gap: 8px !important;
    position: fixed !important;
    right: 10px !important;
    bottom: 10px !important;
    width: fit-content !important;
    z-index: 9999999 !important;
}

/* cta button styling */
.cta-icon {
    width: 45px !important;
    height: 45px !important;
    border-radius: 50% !important;
    box-shadow: 0 0 2px rgba(81, 2, 214, 0.3) !important;
}

.cta-icon:hover {
    scale: 1.2 !important;
    box-shadow: 0 0 6px rgba(81, 2, 214, 0.3) !important;
}


/* hide scroll to top button */
#ast-scroll-top {
    display: none !important;
}

/* Floating Buttons Styling End */

/* Media Queries Start */
@media only screen and (max-width: 767px) {
    .cta-icon {
        width: 36px !important;
        height: 36px !important;
    }

    .cta-container {
        flex-direction: row !important;
        right: 4px !important;
        bottom: 4px !important;
    }
}

/* Media Queries End */